%define pygtk2_version 2.5.3
%define gnome_python2_version 2.6.0

Name:    sabayon
Version: 2.30.0
Release: %mkrel 1
Summary: Tool to maintain user profiles in a GNOME desktop

Group:   System/Configuration/Other
License: GPLv2+
URL:     http://www.gnome.org/projects/sabayon
Source0: http://ftp.gnome.org/pub/GNOME/sources/sabayon/sabayon-%{version}.tar.bz2
Patch0: sabayon-2.29.91-pam.patch
# (fc) 2.12.1-3mdk source xinit file
Patch1:  sabayon-2.22.1-source.patch
# gw: fix for running with libexecdir == libdir:
# http://bugzilla.gnome.org/show_bug.cgi?id=522119
Patch3: sabayon-2.22.0-libexecdir.patch
Patch4: sabayon-2.22.1-fix-linkage.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: python-gamin
Requires: pyxdg
Requires: GConf2 > 2.14.0-1mdk
Requires: python-%name
Requires: pessulus

BuildRequires: pygtk2.0-devel
BuildRequires: gtk+2-devel
BuildRequires: pyxdg
BuildRequires: pessulus
BuildRequires: gettext
BuildRequires: usermode
BuildRequires: x11-server-xephyr
BuildRequires: intltool
BuildRequires: gnome-doc-utils >= 0.17.3

%description
Sabayon is a tool to help sysadmins and user change and maintain the
default behaviour of the GNOME desktop.

%package  admin
Summary:  Graphical tools for Sabayon profile management
Group:    System/Configuration/Other
Requires: %{name} = %{version}
Requires(pre):  rpm-helper
Requires(pre): usermode-consoleonly
Requires(post): gtk+2.0
Requires(postun): gtk+2.0
Requires: x11-server-xephyr
Requires: pygtk2.0 >= %{pygtk2_version}
Requires: gnome-python-gconf >= %{gnome_python2_version}

%description admin
The sabayon-admin package contains the graphical tools which a
sysadmin should use to manage Sabayon profiles.

%package  -n python-%name
Summary:  Python modules of sabayon
Group:    System/Configuration/Other
Conflicts: %name < %version-%release
Conflicts: %name-admin < %version-%release
#Requires: pygtk2.0 >= %{pygtk2_version}
#Requires: gnome-python-gconf >= %{gnome_python2_version}
Requires: python-ldap
Requires: python-libxml2

%description -n python-%name
This package contains the python modules of sabayon.

%prep
%setup -q -n %name-%version
%patch0 -p1
%patch1 -p1 -b .source
%patch3 -p1
%patch4 -p0
 
%build
%configure2_5x 	\
	--enable-console-helper=yes \
	--with-prototype-user=%{name}-admin
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall PAM_PREFIX=$RPM_BUILD_ROOT%{_sysconfdir}

%find_lang sabayon --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done


# We don't want these
rm -f %buildroot%py_platsitedir/%{name}/xlib.*a \
      %buildroot%_datadir/icons/hicolor/icon-theme.cache

# (tv) fix adding users:
mkdir -p %buildroot/etc/sabayon/profiles/

%clean
rm -rf $RPM_BUILD_ROOT

%pre admin
%_pre_useradd %name-admin /var/lib/ /sbin/nologin
/usr/sbin/usermod -d "" %{name}-admin &>/dev/null || :

%if %mdkversion < 200900
%post admin
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun admin
%clean_menus
%clean_icon_cache hicolor
%endif

%files -f sabayon.lang
%defattr(-, root, root, 755)

%doc AUTHORS NEWS README TODO ISSUES

%config(noreplace) %{_sysconfdir}/X11/xinit.d/%{name}*


%{_sbindir}/%{name}-apply
%_mandir/man8/sabayon*8*

%files -n python-%name
%dir /etc/sabayon/profiles/
%dir %py_platsitedir/%{name}/
%py_platsitedir/%{name}/__init__.py*
%py_platsitedir/%{name}/config.py*
%py_platsitedir/%{name}/cache.py*
%py_platsitedir/%{name}/dirmonitor.py*
%py_platsitedir/%{name}/mozilla_bookmarks.py*
%py_platsitedir/%{name}/storage.py*
%py_platsitedir/%{name}/userprofile.py*
%py_platsitedir/%{name}/util.py*
%py_platsitedir/%{name}/sources/*.py*
%py_platsitedir/%{name}/*.so
%py_platsitedir/%{name}/*
%dir %_datadir/omf/%name/
%_datadir/omf/%name/*-C.omf

%files admin

%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}

%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_libexecdir}/%{name}*

%dir %_datadir/%name/ui
%_datadir/%name/ui/%name.ui
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*



%changelog
* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 529971
- update to new version 2.30.0

* Wed Feb 24 2010 Funda Wang <fwang@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 510490
- new version 2.29.92

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 510052
- new version
- rediff pam patch

* Thu Jan 14 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 491543
- new version

* Thu Jan 07 2010 Thierry Vignaud <tv@mandriva.org> 2.29.5-0.rc2.2mdv2010.1
+ Revision: 487102
- fix adding users

* Thu Dec 31 2009 Götz Waschk <waschk@mandriva.org> 2.29.5-0.rc2.1mdv2010.1
+ Revision: 484502
- new snapshot
- update file list

* Tue Dec 29 2009 Götz Waschk <waschk@mandriva.org> 2.29.5-0.rc1.1mdv2010.1
+ Revision: 483203
- new version
- depend on pessulus
- update file list

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.2-1mdv2010.1
+ Revision: 475518
- update build deps
- new version
- update file list

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 460931
- update to new version 2.28.1

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 2.28.0-4mdv2010.0
+ Revision: 454984
- move python-libxml2 requires on python-sabayon subpackage (for xguest)

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 2.28.0-3mdv2010.0
+ Revision: 454661
- move python-ldap requires on python-sabayon subpackage (for xguest)

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 2.28.0-2mdv2010.0
+ Revision: 454648
- split python modules in python-sabayon (for xguest)
- fix sabayon & sabayon-admin packaging the same files
- do not package useless big ChangeLog

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446951
- update to new version 2.28.0

* Tue Aug 18 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 417870
- update to new version 2.27.91

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 414697
- depend on Xephyr instead of Xnest
- update to new version 2.27.0

* Wed Mar 11 2009 Götz Waschk <waschk@mandriva.org> 2.25.0-1mdv2009.1
+ Revision: 353916
- update deps
- update to new version 2.25.0

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 2.22.1-2mdv2009.1
+ Revision: 326049
- fix linkage
- fix configure option typo
- rediff source patch

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 287330
- new version
- update license
- update build deps

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.22.0-3mdv2009.0
+ Revision: 269238
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Apr 16 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-2mdv2009.0
+ Revision: 194591
- fix crash in sabayon editor
- drop unapplied patch

* Wed Mar 12 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 187039
- new version

* Wed Feb 20 2008 Götz Waschk <waschk@mandriva.org> 2.21.0-2mdv2008.1
+ Revision: 173166
- fix desktop entry

* Sun Jan 20 2008 Götz Waschk <waschk@mandriva.org> 2.21.0-1mdv2008.1
+ Revision: 155293
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 20 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.0
+ Revision: 91360
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 63420
- new version
- update file list

* Fri Jul 13 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 51800
- new version
- update deps


* Wed Mar 21 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2007.1
+ Revision: 147488
- new version

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142118
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112101
- fix file list on x86_64
- new version
- unpack patches

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.12.4-3mdv2007.1
+ Revision: 96554
- Rebuild against new python
- Import sabayon

* Fri Aug 18 2006 Gtz Waschk <waschk@mandriva.org> 2.12.4-2mdv2007.0
- remove local.defaults/mandatory files, now in GConf2

* Sat Jul 29 2006 Götz Waschk <waschk@mandriva.org> 2.12.4-1mdv2007.0
- New release 2.12.4

* Thu Jul 06 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-4mdv2007.0
- fix pam configuration
- fix menu

* Thu Feb 02 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-3mdk
- fix python dirs

* Wed Feb 01 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-2mdk
- fix buildrequires

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Add requires on python-ldap

* Thu Nov 17 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- drop merged patch 0
- New release 2.12.2

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Patch1: source xinit file

* Tue Nov 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Patch0: fix mandriva distribution detection
- Force icon cache generation 
- Fix menu entry

* Mon Nov 07 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-1mdk
- update file list
- New release 2.12.1

* Thu Oct 13 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0

* Wed Aug 03 2005 Gtz Waschk <waschk@mandriva.org> 2.11.90-1mdk
- no noarch
- build and installation fixes
- New release 2.11.90

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 0.18-2mdk
- add menu entry

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 0.18-1mdk
- initial mdk package

* Thu May 19 2005 Mark McLoughlin <markmc@redhat.com> - 0.18-1
- Update to 0.18

* Thu Mar 24 2005 Mark McLoughlin <markmc@redhat.com> - 0.17-1
- Update to 0.17
- Pass --with-prototype-user=sabayon-admin to configure

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-8
- Add BuildRequires: usermode and pass --enable-consolehelper=yes
  to configure

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-7
- Move Xnest and shadow-utils requires to sabayon-admin
- Require libxml2-python

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-6
- Make noarch

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-5
- Add dirmonitor.py to base package

* Sun Mar 20 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-4
- Split the package into sabayon and sabayon-admin
- BuildRequires: gettext instead of gettext-devel

* Sat Mar 19 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-3
- Remove period at the end of the summary
- Specify full URL for source
- BuildRequires: python 
- Use /etc everywhere
- Set the directory mode

* Fri Mar 18 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-2
- BuildRequires: gettext-devel
- Add X-Fedora-Extra to .desktop file

* Wed Mar 16 2005 Mark McLoughlin <markmc@redhat.com>
- Various changes to bring in line with Fedora package guidelines

* Wed Feb 09 2005 Daniel Veillard <veillard@redhat.com>
- initial version

